Introduction

Thank you for using WinDiskXP. WinDiskXP is a tool designed by WEWAER in 2004.It mainly applies to create and run Virtual Disk and Virtual CD-ROM on the Windows system.

WinDiskXP adopts driver technique provided by FileDisk as background driver to create secure and steady Virtual Disk,which uses files as carriers of memory.

The Virtual Disk created by WinDiskXP is just as any other disk. You can use it as usual, store any files (e.g. documents or pictures and even movies),and open these files directly from the emulate disk,and you can even install application to it. It supports Fat,Fat32 and NTFS.

WinDiskXP helps save your time and provides you with user-friendly operations.It is very easy to create a virtual disk, of course delete the virtual disk is easy too, simply by delete the virtual-disk-file. Because all your data store on the virtual disk is actually store into a virtual-disk-file.You can make a backup simply by backup the virtual-disk-file and all your data store on the virtual disk is backuped too.

What's more? WinDiskXP protects your data by encryped before store into the virtual disk,with which prevent your data to be stolen. Because without your password nobody else can open your virtual disk again.

This Manual is made to help you to use WinDIskXP better. If you have any question or suggestions,please do not hesitate to contact us at support@weware.net. We will answer your question as soon as possible.


Security

    WinDiskXP protects your data with encryption

    1. Easy Storage: The storage of WinDiskXP Virtual Hard Disk is based on file,thus,if you want to backup or move a the hole disk from one computer to another,simply backup the virtual-disk-file or move it to anywhere you want. All the data store in virtual disk will be backup or move with your virtual-disk-file, and you can reopen your it anytime anywhere.

    2. Data encryption: As you know it's very difficult to make your directory encrypted,because your directory doesn't store anything itself. the only to protect your file is make your files encryted. But it very bother and cost much of your time to make your file encrypt and decrypt.

    WinDiskXP to all the thing for you,when you store your data into virtual disk WinDiskXP's driver which intall on your system auto encrypt before store. when you read the data from the virtual disk the driver auto decrypt the data. What you should do si close your virtual disk when you don't need work with it.Nobody can open your virtual disk without your password.

    3. Read-only hard disk: As you know it very difficult to protect your file from delete or modify even you set the file as read-only.

    Choose the function "Read-only" when mounting a virtual disk with WinDiskXP,files stored in the disk can not be modified,deleted.Your data have got a really reliable protection!

    4. Mount unmount your virtual disk easy: you can mount a virtual disk simply with move your mouse and doubleclick on your virtual-disk-file and input your password. Unmount is much easy too simply click on the unmount button your virtual disk will close, nothing could access to your virtual disk until you remount it. You can even make a different filename extension from "wdk", as nobody know it's a virtual-disk-file.

    5. Everybody has the right of privacy: You might have something quite personal stored in the office's computer or your computer at home but have not encrypted.In this case,they are very likely to be read by others

    Many people use compress tools such as winzip or winrar to encrypt files they want to protect,and release them when needed.It is feasible on many conditions,but the encryption and release take a lot of your time.

    While the advantages of WinDiskXP are rather outstanding.A good example is: Create an encrypted virtual disk with WinDiskXP and save all the Mails of Outlook into the virtual disk,then, your mails are safe as long as you quit Outlook and close the virtual disk before you leave your computer.If you use thebat or some other mail tool instead of Outlook,you can even install it and run it in the virtual disk!It is safe and more convenient!


Getting Start

 Creating a Virtual Disk
Mounting a Virtual Disk
Creating a ISO file from CDROM
Mounting a Virtual CD from ISO
Unmounting a Virtual Device
Devices Information
Upgrade Online
Auto Mount Configuration
User Manager
User Logon
Anit-Delete
Options


Creating a virtual disk

To create a new virtual disk,please following the step below

  1. Press "Create virtual Disk" button

  2. The maximum virtual disk size is depend on your free disk space and your physical disk's file system format. For example in FAT32 maximum virtual disk size is 4G, in NTFS maximum virtual disk size is 64G. Detail please refer to following table.
    System
    FAT12
    Fat16
    Fat32
    NTFS
    NTFS5.0
    WinFS
    DOS3.0 or above
    Yes
    Future
    System
    Dos3.0
    Yes
    DOS4.0
    Yes
    Windows 3.X
    Yes
    Windows 95
    Yes
    Windows 95 OSR2
    Yes
    Yes
    Windows 98
    Yes
    Yes
    Windows 98 SE
    Yes
    Windows Me
    Yes
    Yes
    Windows NT
    Yes
    Yes
    Windows 2000
    Yes
    Yes
    Yes
    Yes
    Windows XP
    Yes
    Yes
    Yes
    Yes
    Windows 2003
    Yes
    Yes
    Yes
    Yes
    Vista
    Yes
    Yes
    Yes
    Unix
    Yes
    Linux
    Yes
             Yes
    Single file size limit
            Max 8M Max 2G Max 4G Max 64G Max 2TB
    WinDiskXP Maximum virtual disk size Max 2G Max 4G Max 64GB Max 2TB

  3. Enter the full path of the virtual-disk-file where the created virtual disk is to be stored.
    Config the capacity of the new virtual disk in the "virtual disk size" box. Make sure to disk size is less than available space size.

  4. Creating a encryption virtual disk.
    Choose a encryption algorithm for your virtual disk.The higher level of the encryption the more secure you get,however,it will be a little slower when copying data into the virtual disk.
    Please do remember your password well,once set, password is requested when the virtual disk is remount.
    It is strongly recommend to set a password for your virtual disk,especially when your data are very important.In this way,nobody can get your data from your virtual disk unless they have got the password.

  5. Choose a letter to be assigned to the disk from the device number list. You may leave the default value.

  6. Create virtual disk successful, Click "Finish" button to finish creating a virtual disk

  7. You can find a virtual disk has been successfully created and is shown on the system.
    Notice: You have to format this new virtual disk before usage. But don't format it as compression mode.


Mounting a virtual disk

To reopen your virtual disk, you should mount the virtual-disk-file which you create.

  1. Click "Mount virtual disk" boutton

  2. Choose a mode to mount the virtual disk:
    A、Mount from a existing virtual-disk-file,reopen a virtual disk from a created virtual-disk-file.
    B、Mount from a local directory,which means mapping a directory as a Hard Disk.In this way,all of the data are stored in the original directory and can not be encrypted,nor the disk can be formated.

  3. Enter the full path of the virtual-disk-file in "virtaul disk file name" and click 'Next' button to continue.
    Note: Choosing Readonly checkbox,the virtual disk will be mounted as write-protected mode.It is very useful when you want to protect the data from attaint.

  4. If you have set a password when creating the virtual disk,a correct password and the correct mode of encrytion are required for finishing mounting,without correct password you could not access the data stored in the virtual disk.

  5. Choose a letter to be assigned to the disk from the device number list. You may leave the default value.

  6. Mount virtual disk successful, Click "Finish" button to finish mounting a virtual disk


Creating a new ISO file from CDROM

To create a new ISO disk,please following the step below
ISO file format is a sort of international normative Virtual CDROM formats.You can use any other virtual CDROM programs to open an ISO file made by WinDiskXP.And you can open a ISO file with WinDiskXP as well. As you see WinDiskXP get both create and mount ISO file function to you.

  1. Click "Create ISO" button

  2. Choose the source CD-ROM where you put your CD in it.
    Enter the full path of the ISO file in "ISO file name" and click 'Next' button to continue.

  3. In the step 3, WinDiskXP is making the ISO file for you. Please wait until done.

  4. The ISO file is successful created


Mounting a ISO file

This function is design to mount a ISO as a virtual CD-ROM.

  1. Click "Mount ISO file" button

  2. Enter the full path of the virtual-disk-file in "ISO file name"
    Choose a letter to be assigned to the virtual CDROM from the device number list. You may leave the default value.
    Click Next button to continue.

  3. Mount virtual CDROM successful, Click "Finish" button to finish mounting a CDROM

  4. Your virtual CDROM is available now, you can access it as usual


Change Password

To change to password of the virtual disk, please following the step below

  1. Click "Change Password" button

  2. Enter the full path of the virtual-disk-file going to change password in "Select file". A correct password and the correct mode of encrytion are required for change password. And enter your new password.
    Tip: To avoid 'system crash', 'power off', 'software exception' which could cause virtual disk lost data while changing password. We are recommend that you create backup file while changing password. After finish change password you can delete the backup file (a '.wbak' file which with the same name of your virtual-disk-file)

  3. Changing password ...

  4. Change password successful. Click "Finish" button to finish change password.

  5. Open your virtul disk with your new password. Remember to delete the backup file.


Unmounting a Virtual Device

    Unmounting of a Virtual Device is to close the Virtual Device from the system.You can reopen the Virtual Device by mount it up,thus,the data stored in the virtual device are still available when the virtaul device is mount up next time.

    1. Make sure that there is no application works with files from the virtual device.Because in this way the virtual device could not be unmounted.

    1. Click [image] button to unmount all of the virtual devices.

    2. Select one of the virtual device from the "Device list", and click [image] button to unmount the selected virtual device.

    3. Right-click from "Device list" show the menu, and choose one of the virtual device letter from "Unmount" to unmount.


Device Information

  1. "Device List":
    The Device List has list all of the Hard Disks,CDROM,Floppy,Removeable device, Virtual Disks and Virtual CD-ROM in your system. Referring to the following window:
    is virtual disk, [image] is virtual CD-ROM

  2. "Device information"
    After choosing one of the items in the "Device List" on the left ,particular information about the device is shown on the information frame on the right.


Upgrade Online

    You can upgrade your windiskxp online very easy!

    1. Click [image] button

    2. Click "Upgrade" button to check new version
    Note: make sure that your computer has already connect to the internet.

    3. Click "Ok" button continue upgrade if a new version release.

    4. Click "Finish" to finish upgrade


Auto Mount Configuration

This function is design for auto load virtual disks when system startup.

  1. Click "Auto Mount Configuration" button

  2. Through this screen you could manage the auto loading virtual disks.

  3. Click "Add" button
    Please select "Device", Virtual disk file's path and password
    Click "OK" button to finish adding.

  4. You could see the auto loading item in following screen.
    You could add more new auto loading virtual disk or Delete\Modify existing auto loading items.

  5. All the changes will apply after click "OK" button.


User Manager

This function is design to manage WinDiskXP users

  1. Click "User Manager" button”

  2. Through this screen you could define users for WinDiskXP.

  3. Click "User Manager" button to create new user
    Enter user name, user type and user password then click "OK" to create new user
    Notes: Once users have been setup, users must logon before using WinDiskXP
    There are 4 user type
    Administrator - User could access all the functions
    Super user - User could access all the functions except "User Manager"
    Normal user - User could access "Create", "Mount" and Picture package functions
    Viewer - User could only access "Mount" and Picture package functions

  4. Modify exiting users
    You could modify exiting user, if you want to disable the user for short-term you could set the user's status to "Disable"

  5. All the changes will effect after click "OK" button
    Notes: There must be at least one Administrator account if users created


User Logon

Logon to WinDiskXP

  1. If users created, users have to provide user name and password to logon WinDiskXP.

  2. Click "User Setting" button”

  3. This function is design for users to change their properties
    Change Password: Users could change their logon password in this screen
    Auto Mount List: Users could setup their auto mount virtual disks. Once setup the auto mount virtual disks will auto loaded after user logon. It is different with "Auto Mount Configuration" function which will auto mount when system startup


Anit-Delete

This function is design to prevent files deleted by careless.

  1. Click "Anit-Delete" button

  2. Through this screen you could define those files you want to protect.
    Click "Add" button to protect more files
    There are 4 protection levels
    Not protect: Will not be protected. It uses to release protect for files maintenance
    Deny delete: Reject rename or delete. But it still could be read and write
    Deny write: Reject rename, delete and write. But it still could be read
    Deny read：Reject rename, delete, write and even read
    Notes: All the changes will effect after click "OK" button


Options

    To enter the WinDiskXP settings please choose "Options" tab in the main windows

    1. Auto run WinDiskXP when windows startup: If you want WinDiskXP to be automaticall launched at windows startup, check on this checkbox. Otherwise,uncheck.

    2. Auto minimize to taskbar：If you want WinDiskXP to be minimized as an icon in the system taskbar, check on this checkbox. Otherwise,uncheck.

    3. Unmount all virtual device when exit WinDiskXP: If you want to close all the virtual device when exit WinDiskXP,check on this checkbox. Otherwise,uncheck.

    4. Associate WDK file: If you want all of the WDK files in your system opened with WinDiskXP as acquiescence, check on this checkbox. Otherwise,uncheck. Being associated, you can double-click the WDK files to mount a virtual disk!

    5. Associate ISO file: If you want all of the ISO files in your system opened with WinDiskXP as acquiescence, check on this checkbox. Otherwise,uncheck. Being associated, you can double-click the ISO files to mount a virtual CDROM!

    6. Language: WinDiskXP provide different languages for you.To change the language of WinDiskXP by select one of it.


Buttons

  1. "Refresh" button
    It is used to refresh the Driver List on the left of the WinDiskXP,which lists all of the Hard Disks,CDROM,Movable Device,Virtual Disks and Virtual CD-ROM in your system.

  2. "Unmount all" button
    It is used to unmounting all of the Virtual Disks and Virtual CDROM at one time.

  3. "Help" button
    It is used to open the Help topic.

  4. "Exit" button
    It is used to shutdown WinDiskXP.Your virtual device will be still working without running of WinDiskXP.


Install/Uninstall WinDiskXP

 Install WinDiskXP

Uninstall WinDiskXP


Install WinDiskXP

    It is very to install WinDiskXP on your system.After install WinDiskXP,a restartup is needed before running the program.

    Step1: After reading the following information,click the next button to continue.

    Step2: After reading the following agreement,click next button to continue.

    Step3: Click "Browser" button to choose a Destination Folder as you like or click next button directly to continue.

    Step4: Please confirm it is inerrable and click next button to continue.

    Step5: setup is processing,please wait for finish...

    Step6: Successfully installed,click Finish to continue.

    Step7: You can load your WinDiskXP and make a virtual disk now!


Uninstall WinDiskXP

    If you want to remove the WinDiskXP from your system,you can uninstall it by launching the "Uninstall WinDiskXP" from "Start -> Programs -> WinDiskXP" menu.Or you can launching uninstall application from "Control panel -> Add/Remove programs".
    Note: The uninstall of the WinDiskXP will not delete your Virtual Disk.You can still reopen your Virtual Disk after having reinstalled the WinDiskXP.

    Step 1: Choose one of the modifications to uninstall,Select "Automatic" for the default uninstall,click "Next" to continue.

    Step 2: Confirm it is inerrable and click "Next" to continue.

    Step 3: Please wait until finish unistall.


Registration

    All the function is unlimited after registered. Once you have registered the boring dialog will disappear.

    To register WinDiskXP please Click [image] button then enter your license key ".

    If you have not got your license key, please visit our web site http://www.windiskxp.com/,or contact us at support@weware.net for more information about registration.

    Your email: It is required when purchase.(An available E_mail belongs to you.)
    Register code: It will send to you by the E_mail after purchased.


About WEWARE

We are one of the share software develop party in the world. Our purpose is to design useful and user-friendly software. We are always looking for your idea and comment to improve our products.

WinDiskXp is a new product designed by WEWARE providing main functions such as helping clients to keep private information secret, convenience of information storage,and so on.

Contact us

WinDiskXP website: http://www.windiskxp.com
WEWARE website: http://www.weware.net
E-mail: support@weware.net